/**
 * @file samples.h
 *
 * Gestion des samples
 *
 * @version 1
 * @author Guy
 * @date Mai 2014
 */

#ifndef _samples_h
#define _samples_h

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "../fmod/include/fmod.h"

typedef struct _sample{
	//TODO
	// Je propose un truc, mais c'est à Quentin de le compléter,
	// voire de le changer complètement.
	char chemin[500]; // contient le chemin du fichier WAV
	char nom[10]; // juste un nom pour qu'on puisse humainement identifier le sample
	// Infos relatives au resampling
	unsigned long int deb; // numéro de l'échantillon de début
	unsigned long int fin; // numéro de l'échantillon de fin
	float hauteur_ref; // fréquence de la hauteur du sample à l'état brut (sans repitching)
} Sample;

void ajouterSample(Sample* tab[], int i, char* chemin);

void supprimerSample(Sample* tab[], int i);

//void setResampling(Sample* sample, int deb, int fin);

void setNom(Sample* sample, char nom[]);

void setHauteur(Sample* sample, float hauteur);

//unsigned long int getDeb(Sample* sample);

//unsigned long int getFin(Sample* sample);

char* getNom(Sample* sample);

float getHauteur(Sample* sample);

#endif
